shisa_cfg_from_file(3)

NAME
shisa_cfg_from_file - API function

SYNOPSIS
#include <shisa.h>

int shisa_cfg_from_file(Shisa * dbh, const char * cfg);

ARGUMENTS

Shisa * dbh
    Shisa library handle created by shisa().

const char * cfg
    File name where to read configuration.

DESCRIPTION
Configures the Shisa library using a configuration file located at cfg.

RETURN VALUE
Returns SHISA_OK if successful. Typically returns SHISA_CFG_NO_FILE in response to a misnamed file.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.